function  [x,y] = PH_read_ripsur(filename, d)
%
% function  [x,y] = PH_read_ripsur(filename, d)
% 
% The function reads ripsur output saved as a text file and outputs
% the scatter points (x,y) of persistent diagram of d-dimensional homology.
% d = 0 or 1 for instance. 
%
% The function is used in 
% Chung, M.K., Ombao, H. 2021 Lattice paths for persistent diagrams. 
% Lecture Notes in Computer Science 12929:77-86  
% http://www.stat.wisc.edu/~mchung/papers/chung.2021.MICCAI.pdf
%
%
% (C) 2021. Moo K. Chung mkchung@wisc.edu
% Department of Statistics and Medical Informatics
% University of Wisconsin-Madison
%
% September 24, 2021


PD = importdata(filename);
ind = find(PD.data(:,1)==d);
x=PD.data(ind,2);
y=PD.data(ind,3);
